commit 957b58f (HEAD)
Author:     Noah Misch <noah@leadboat.com>
AuthorDate: Mon Aug 4 00:03:21 2014 -0400
Commit:     Noah Misch <noah@leadboat.com>
CommitDate: Mon Aug 4 00:03:21 2014 -0400

    Make pg_service.conf sample LDIF more portable.
    
    The aboriginal sample placed connection parameters in
    groupOfUniqueNames/uniqueMember.  OpenLDAP, at least as early as version
    2.4.23, rejects uniqueMember entries that do not conform to the syntax
    for a distinguished name.  Use device/description, which is free-form.
    Back-patch to 9.4 for web site visibility.

diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index db634a8..ef45fbf 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -7043,17 +7043,17 @@ version:1
 dn:cn=mydatabase,dc=mycompany,dc=com
 changetype:add
 objectclass:top
-objectclass:groupOfUniqueNames
+objectclass:device
 cn:mydatabase
-uniqueMember:host=dbserver.mycompany.com
-uniqueMember:port=5439
-uniqueMember:dbname=mydb
-uniqueMember:user=mydb_user
-uniqueMember:sslmode=require
+description:host=dbserver.mycompany.com
+description:port=5439
+description:dbname=mydb
+description:user=mydb_user
+description:sslmode=require
 </programlisting>
    might be queried with the following LDAP URL:
 <programlisting>
-ldap://ldap.mycompany.com/dc=mycompany,dc=com?uniqueMember?one?(cn=mydatabase)
+ldap://ldap.mycompany.com/dc=mycompany,dc=com?description?one?(cn=mydatabase)
 </programlisting>
   </para>
 
